# build/names.c File Reference

Simple user/group name/id cache (plus hostname and buildtime). More...

`#include "system.h"`
`#include "rpmbuild.h"`
`#include "debug.h"`

Go to the source code of this file.

## Typedefs

typedef const char * | ugstr_t

## Functions

void | freeNames (void)
| Destroy uid/gid caches.
const char * | getUname (uid_t uid)
| Return cached user name from user id.
const char * | getUnameS (const char *uname)
| Return cached user name.
uid_t | getUidS (const char *uname)
| Return cached user id.
const char * | getGname (gid_t gid)
| Return cached group name from group id.
const char * | getGnameS (const char *gname)
| Return cached group name.
gid_t | getGidS (const char *gname)
| Return cached group id.
int_32 *const | getBuildTime (void)
| Return build time stamp.
const char *const | buildHost (void)
| Return build hostname.

## Variables

static uid_t | uids [1024]
static ugstr_t | unames [1024]
static int | uid_used = 0
static gid_t | gids [1024]
static ugstr_t | gnames [1024]
static int | gid_used = 0

## Detailed Description

Simple user/group name/id cache (plus hostname and buildtime).

Definition in file names.c.

## Typedef Documentation

typedef const char* ugstr_t

| Definition at line 13 of file names.c.

## Variable Documentation

int gid_used = 0`[static]`

| Definition at line 27 of file names.c. Referenced by freeNames(), getGidS(), getGname(), and getGnameS().

gid_t gids[1024]`[static]`

| Definition at line 23 of file names.c. Referenced by getGidS(), and getGname().

ugstr_t gnames[1024]`[static]`

| Definition at line 25 of file names.c. Referenced by freeNames(), getGidS(), getGname(), and getGnameS().

int uid_used = 0`[static]`

| Definition at line 20 of file names.c. Referenced by freeNames(), getUidS(), getUname(), and getUnameS().

uid_t uids[1024]`[static]`

| Definition at line 16 of file names.c. Referenced by getUidS(), and getUname().

ugstr_t unames[1024]`[static]`

| Definition at line 18 of file names.c. Referenced by freeNames(), getUidS(), getUname(), and getUnameS().